View Issue Details

IDProjectCategoryView StatusLast Update
0001433SymmetricDSImprovementpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.9 
Target Version3.5.9Fixed in Version3.5.9 
Summary0001433: Expose api so a single sym table and single trigger can be installed without other SymmetricDS configuration
DescriptionExpose api so a single sym table and single trigger can be installed without other SymmetricDS configuration
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master cc5339d1

2013-10-04 13:35:48

chenson

Details Diff
0001433: Expose api so a single sym table and single trigger can be installed without other SymmetricDS configuration
0001433
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/ase/AseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2v9SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/derby/DerbySymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/h2/H2SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb/HsqlDbSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/hsqldb2/HsqlDb2SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/informix/InformixSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql/MsSqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mssql2000/MsSql2000SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/mysql/MySqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sqlanywhere/SqlAnywhereSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/sqlite/SqliteSymmetricDialect.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Database.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/AbstractDatabasePlatform.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/IDatabasePlatform.java Diff File
mod - symmetric-db/src/test/java/org/jumpmind/db/model/DatabaseTest.java Diff File

SymmetricDS: master 4e0767bc

2013-10-04 14:47:02

chenson

Details Diff
0001433: Expose api so a single sym table and single trigger can be installed without other SymmetricDS configuration
0001433
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

SymmetricDS: master 70a8547c

2013-10-10 18:31:02

chenson

Details Diff
0001433: Allow put to be called with null values.
0001433
mod - symmetric-util/src/main/java/org/jumpmind/properties/TypedProperties.java Diff File

Issue History

Date Modified Username Field Change
2013-10-04 13:33 chenson New Issue
2013-10-04 13:33 chenson Status new => assigned
2013-10-04 13:33 chenson Assigned To => chenson
2013-10-10 20:00 chenson Status assigned => resolved
2013-10-10 20:00 chenson Fixed in Version => 3.5.9
2013-10-10 20:00 chenson Resolution open => fixed
2013-10-10 20:02 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7712
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7714
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7720
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 70a8547c
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 4e0767bc
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master cc5339d1